### Method

# Pango FontMetrics ref

#### Declaration [src]

    PangoFontMetrics*
    pango_font_metrics_ref (
      PangoFontMetrics* metrics
    )

#### Description [src]

Increase the reference count of a font metrics structure by one.

#### Parameters

`metrics`

  Type: `PangoFontMetrics`

  A `PangoFontMetrics` structure, may be `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `PangoFontMetrics`

`metrics`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.